Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class PKIMessage

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.PKIMessage

All Implemented Interfaces:
  DEREncodable

    public class PKIMessage

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`PKIBody` | `getBody()`
`PKIHeader` | `getHeader()`
`static PKIMessage` | `getInstance(java.lang.Object o)`
`DERObject` | `toASN1Object()` PKIMessage ::= SEQUENCE { header PKIHeader, body PKIBody, protection [0] PKIProtection OPTIONAL, extraCerts [1] SEQUENCE SIZE (1..MAX) OF CMPCertificate OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PKIMessage getInstance(java.lang.Object o)

### getHeader

    public PKIHeader getHeader()

### getBody

    public PKIBody getBody()

### toASN1Object

    public DERObject toASN1Object()

       PKIMessage ::= SEQUENCE {
                        header           PKIHeader,
                        body             PKIBody,
                        protection   [0] PKIProtection OPTIONAL,
                        extraCerts   [1] SEQUENCE SIZE (1..MAX) OF CMPCertificate
                                                                           OPTIONAL
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD